System.Design 2.0.0.0 System.Object System.Collections.IList

The class, and any derived class, defines the property as a object. The property is typically used only by a design host such as vsprvslong.

The collection dynamically increases in size as objects are added. Indexes in this collection are zero-based. Use the property to determine how many groups are in the collection.

Additionally, use the methods and properties to provide the following functionality:

The method to add a single group to the collection.

The method to add a group at a particular index within the collection.

The method to remove a group.

The method to remove the group at a particular index.

The method to determine whether a particular group is already in the collection.

The method to retrieve the index of a group within the collection.

The indexer to get or set the group at a particular index, using array notation.

The method to add multiple groups to the collection.

You can add multiple groups either as an array of groups or as a object that you retrieve through the property of another control designer.

The method to remove all groups from the collection.

Represents a collection of objects within a control designer. This class cannot be inherited.

- Constructor
  2.0.0.0

  Use the constructor to create an empty collection. You can add elements to the collection by using the , , or method.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Int32 ``

  The method adds the specified object to the end of the collection. To add a object to the collection at a specific index location, use the method.

  To add multiple groups to the collection, use the method.

  Adds the specified object to the end of the collection.

  The index at which the was added to the collection.

  The to add to the collection.
- Method
  2.0.0.0
  System.Void ``

  The method adds multiple groups to the collection. To add a single object to the end of the collection, use the method. To add a object to the collection at a specific index location, use the method.

  Adds the template groups in an existing object to the current object.

  A that contains the groups to add to the collection.
- Method
  2.0.0.0
  System.Void

  Use the method to remove all groups from the collection. To remove a specific group from the collection, use the method. To remove a group at a particular index, use the method.

  Removes all groups from the collection.

- Method
  2.0.0.0
  System.Boolean ``

  The method determines equality by using the method on the objects.

  The method performs a linear search; therefore, the average execution time is proportional to the property. Because template group collections typically are small, the performance of the linear search operation is not critical.

  Determines whether the specified group is contained within the collection.

  true if the is in the collection; otherwise, false.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  The group elements are copied to the object in the same order in which the group elements are indexed within the object.

  Copies the groups in the collection to a compatible one-dimensional array, starting at the specified index of the target array.

  The that is the destination of the copied groups. The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  System.Int32 To be added.

  The property generally is used to determine the upper boundary index when iterating through objects in the collection. Because the collection indexes are zero-based, the first element is at index 0 and the last element is at index Count-1.

  Gets the number of objects in the collection.

- Method
  2.0.0.0
  System.Int32 ``

  The method determines equality by using the method on the objects.

  The performs a linear search; therefore, the average execution time is proportional to the property. Because template group collections typically are small, the performance of the linear search operation is not critical.

  Returns the index of the specified object within the collection.

  The zero-based index of the first occurrence of within the collection; otherwise, -1, if is not in the collection.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  The method adds a object to the collection at a specific index location. To add a single to the end of the collection, use the method. To add multiple groups to the collection, use the method.

  When you insert an item into the collection, the indexes change for subsequent items in the collection.

  Inserts a object into the collection at the specified index.

  The zero-based index within the collection at which to insert . The to insert into the collection.
- Property
  2.0.0.0
  System.Web.UI.Design.TemplateGroup `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  The method removes the first occurrence of from the collection. If the object does not contain , the collection remains unchanged. No exception is thrown.

  The method determines equality by using the method on the objects.

  The method performs a linear search; therefore, the average execution time is proportional to the property. Because template group collections typically are small, the performance of the linear search operation is not critical.

  To remove a group at a particular index from the collection, use the method. To remove all the groups from the collection, use the method.

  When you remove an item from the collection, the indexes change for subsequent items in the collection.

  Removes the specified object from the collection.

  The to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  Use the method to remove a group at a particular index from the collection. To remove a specified group from the collection, use the method. To remove all the groups from the collection, use the method.

  When you remove an item from the collection, the indexes change for subsequent items in the collection.

  Removes the object at the specified index within the collection.

  The zero-based index within the collection of the to remove.
- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The that is the destination of the copied groups. The must have zero-based indexing. The zero-based index in at which copying begins.
- Property
  2.0.0.0
  System.Int32 To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Object To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Collections.IEnumerator

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An to use to iterate through the collection.

- Method
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The index at which was added to the collection.

  The to add to the collection.
- Method
  2.0.0.0
  System.Void

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Boolean ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  true, if is in the collection; otherwise, false.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Int32 ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index of the first occurrence of within the collection; otherwise, -1, if is not in the collection.

  The to locate within the collection.
- Method
  2.0.0.0
  System.Void `` ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index within the collection at which to insert . The object to insert into the collection.
- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The object to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The zero-based index within the collection of the object to remove.